org.gradle.nativeplatform

## Interface StaticLibraryBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, LibraryBinarySpec, Named, NativeBinarySpec, NativeLibraryBinarySpec

      @Incubating
      public interface StaticLibraryBinarySpec
      extends NativeLibraryBinarySpec

  A static library binary built by Gradle for a native library.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `StaticLibraryBinarySpec.TasksCollection` Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `additionalLinkFiles(FileCollection files)` Add some additional files required by consumers of this library at link time.
    `File` | `getStaticLibraryFile()` The static library file.
    `StaticLibraryBinarySpec.TasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `void` | `setStaticLibraryFile(File staticLibraryFile)` The static library binary file.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinarySpec

      `getComponent, getLibrary`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getBuildType, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getStaticLibraryFile

          File getStaticLibraryFile()

      The static library file.

    - #### setStaticLibraryFile

          void setStaticLibraryFile(File staticLibraryFile)

      The static library binary file.

    - #### additionalLinkFiles

          void additionalLinkFiles(FileCollection files)

      Add some additional files required by consumers of this library at link time.

    - #### getTasks

          StaticLibraryBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`